{ lib,
  stdenvNoCC,
  python3,
  makeWrapper,
  packwiz }:
let
  wrappedPath = lib.makeBinPath [ packwiz ];
in stdenvNoCC.mkDerivation {
  pname = "packwiz-wrapper";
  version = "0.0.0";
  buildInputs = [
    python3
    makeWrapper
    packwiz
  ];

  src = ./.;

  installPhase = ''
    install -Dm555 packwiz-wrapper.py $out/libexec/packwiz-wrapper.py
    mkdir -p $out/bin
    makeShellWrapper $out/libexec/packwiz-wrapper.py $out/bin/packwiz \
      --prefix PATH : "${wrappedPath}"
  '';
}
